Main Page | Modules | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | Related Pages

# SoComposeVec2f Class Reference
[Engine classes]

`#include <Inventor/engines/SoCompose.h>`

Inheritance diagram for SoComposeVec2f:

List of all members.

## Detailed Description

The SoComposeVec2f class is used to compose 2D vectors from two floats.

## Public Attributes
SoMFFloat | x
SoMFFloat | y
SoEngineOutput | vector

## Member Data Documentation

SoMFFloat SoComposeVec2f::x

| First coordinates of the output vectors.

SoMFFloat SoComposeVec2f::y

| Second coordinates of the output vectors.

SoEngineOutput SoComposeVec2f::vector

| (SoMFVec2f) 2D vectors.

The documentation for this class was generated from the following files:

- SoComposeVec2f.h
- SoComposeVec2f.cpp